/**
 *  Copyright (C) 2009 Emerson Ribeiro de Mello, Carlos Eduardo Wagner,
 *  Natan Martins Jory
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  Copyright (C) 2009 Emerson Ribeiro de Mello, Fernando Fernandes Simão
 *
 *  Este programa é software livre; você pode redistribuí-lo e/ou
 *  modificá-lo sob os termos da Licença Pública Geral GNU, conforme
 *  publicada pela Free Software Foundation; tanto a versão 2 da
 *  Licença como (a seu critério) qualquer versão mais nova.
 *
 *  Este programa é distribuído na expectativa de ser útil, mas SEM
 *  QUALQUER GARANTIA; sem mesmo a garantia implícita de
 *  COMERCIALIZAÇÃO ou de ADEQUAÇÃO A QUALQUER PROPÓSITO EM
 *  PARTICULAR. Consulte a Licença Pública Geral GNU para obter mais
 *  detalhes.
 *
 *  Você deve ter recebido uma cópia da Licença Pública Geral GNU
 *  junto com este programa; se não, escreva para a Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
 *  02111-1307, USA.
 */
package gui;

import java.io.*;
import java.net.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import protocolo.Mensagem;

public class Client extends Thread {

    ObjectOutputStream output;
    ObjectInputStream input;
    String message = "";
    String meuNome = "";
    private Principal p;

    public Client(Principal pa) {
        this.p = pa;

    }

    @Override
    public void run() {
        Socket client;

        try {
            // Step 1: Create a Socket to make connection.
            String IP = JOptionPane.showInputDialog("Informe o IP do servidor");

            if (IP.equals("")) {
                client = new Socket(InetAddress.getByName("127.0.0.1"), 1234);
            } else {
                client = new Socket(InetAddress.getByName(IP), 1234);
            }


            // Step 2: Get the input and output streams.
            output = new ObjectOutputStream(
                    client.getOutputStream());
            output.flush();
            input = new ObjectInputStream(
                    client.getInputStream());


            //enviando nomedocliente para o servidor;
            //codigo 15 indica nome do cliente
            //this.sendData(meuNome, 15);

            // Step 3: Process connection.


            Mensagem msg = null;
            do {
                try {
                    msg = (Mensagem) input.readObject();
                    System.out.println("oi");
                    p.enviarTexto(msg.texto);


                } catch (ClassNotFoundException cnfex) {
                }
            } while (msg.codigo != 10);

            // Step 4: Close connection.

            output.close();
            input.close();
            client.close();
        } catch (EOFException eof) {
            System.out.println("Servidor encerrou a conexao");
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public void sendData(String s, int codigo) {
        try {
            message = s;
            Mensagem msg = new Mensagem(codigo, s);

            output.writeObject(msg);
            output.flush();
            output.reset();
        } catch (IOException ex) {
        }
    }
}
/**************************************************************************
 * (C) Copyright 1999 by Deitel & Associates, Inc. and Prentice Hall.     *
 * All Rights Reserved.                                                   *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/
